zenilib: AFM_FontInfoRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
AFM_FontInfoRec_ Struct Reference

`#include <t1types.h>`

## Public Attributes

FT_Fixed | Ascender
FT_Fixed | Descender
FT_BBox | FontBBox
FT_Bool | IsCIDFont
AFM_KernPair | KernPairs
FT_Int | NumKernPair
FT_Int | NumTrackKern
AFM_TrackKern | TrackKerns

## Detailed Description

Definition at line 167 of file t1types.h.

## Member Data Documentation

FT_Fixed AFM_FontInfoRec_::Ascender

Definition at line 171 of file t1types.h.

Referenced by afm_parser_parse(), dump_fontinfo(), and T1_Read_Metrics().

FT_Fixed AFM_FontInfoRec_::Descender

Definition at line 172 of file t1types.h.

Referenced by afm_parser_parse(), dump_fontinfo(), and T1_Read_Metrics().

FT_BBox AFM_FontInfoRec_::FontBBox

Definition at line 170 of file t1types.h.

Referenced by afm_parser_parse(), dump_fontinfo(), and T1_Read_Metrics().

FT_Bool AFM_FontInfoRec_::IsCIDFont

Definition at line 169 of file t1types.h.

Referenced by afm_parser_parse(), and dump_fontinfo().

AFM_KernPair AFM_FontInfoRec_::KernPairs

Definition at line 175 of file t1types.h.

Referenced by afm_parse_kern_pairs(), afm_parser_parse(), dump_fontinfo(), main(), and T1_Read_PFM().

FT_Int AFM_FontInfoRec_::NumKernPair

Definition at line 176 of file t1types.h.

Referenced by afm_parse_kern_pairs(), afm_parser_parse(), dump_fontinfo(), T1_Read_Metrics(), and T1_Read_PFM().

FT_Int AFM_FontInfoRec_::NumTrackKern

Definition at line 174 of file t1types.h.

Referenced by afm_parse_track_kern(), afm_parser_parse(), dump_fontinfo(), and T1_Get_Track_Kerning().

AFM_TrackKern AFM_FontInfoRec_::TrackKerns

Definition at line 173 of file t1types.h.

Referenced by afm_parse_track_kern(), afm_parser_parse(), dump_fontinfo(), main(), and T1_Get_Track_Kerning().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/include/freetype/internal/t1types.h